plymouth pid missing from OMITPIDS and terminated by sendsigs - Please no more confirmations/comments

Bug #537262 reported by Alexey Maximov on 2010-03-11
This bug affects 576 people
Affects Status Importance Assigned to Milestone
Plymouth
Invalid
Undecided
Martin Pitt
apport (Ubuntu)
Low
Martin Pitt
Lucid
Low
Martin Pitt
sysvinit (Ubuntu)
High
Steve Langasek
Lucid
High
Steve Langasek

Bug Description

You've been asked to file a bug because Plymouth didn't terminate on shutdown?

Sorry, but actually this isn't a bug in Plymouth - it's a bug in the script that's telling you it's a bug ;-)

We know this bug is open. You don't need to comment to tell us that it's still open.

Alexey Maximov (amax) wrote :

Plymouth is not supposed to stop during shutdown, it's supposed to remain visible until your computer powers off

Changed in plymouth (Ubuntu):
status: New → Invalid

I have the same problem...

It's Apport indicates that a problem with plymouth

Not if he is not supposed to be the shutdown bug is his view that there is

Changed in plymouth (Ubuntu):
status: Invalid → New
Martin Beltov (mbeltov) wrote :

I am also affected

Laryllan (laryllan) wrote :

Affected too on a 64 bit system.

cariboo (cariboo) wrote :

This just happened to me, on a Compaq Mini 110 running UNR

Uncle Spellbinder (spellbinder) wrote :

Just happened to me as well. Lucid Alpha3, 32 Bit, HP Pavilion Elite Quad Core, nVidia 9800GT

John (john-kitsu) wrote :

Happens to me and im running an Acer Aspire 5720z after start-up this message is shown through Apport

bwallum (rbw2) wrote :

Not too sure this bug report is in the right place, I'm simply following the apport prompted bug.

I was trying to view my Inbox in Evolution, found over 300 emails reported but none showing in the right hand window. I clicked the Inbox again and the crash occurred.

During bootup, at the bottom of the screen, I saw a blue bar, growing from the left hand side and step incrementing in 'blueness'.

summary: - does not terminate at computer shutdown
+ Plymouth doesn't terminate on shutdown (not a bug)
description: updated
Changed in plymouth (Ubuntu):
status: New → Triaged
summary: - Plymouth doesn't terminate on shutdown (not a bug)
+ does not terminate at computer shutdown
Jeff Lane (bladernr) wrote :

Also noted on an Xubuntu 32bit install to a virtualbox VM here.

"You've been asked to file a bug because Plymouth didn't terminate on shutdown?
Sorry, but actually this isn't a bug in Plymouth - it's a bug in the script that's telling you it's a bug ;-)
I'm leaving this one open because otherwise I'll just get a zillion duplicates"

Thank you for the clarification

Steve Langasek (vorlon) wrote :

Well, leaving the bug open won't stop us from getting a zillion duplicates, since these are being generated via apport. We need to get /etc/init.d/sendsigs fixed; reassigning to initscripts.

affects: plymouth (Ubuntu) → sysvinit (Ubuntu)
Changed in sysvinit (Ubuntu):
importance: Undecided → High
milestone: none → ubuntu-10.04-beta-1

I added the report to this bug as that's what Apport showed automatically. As it happens, Apport opened as soon as I rebooted after an upgrade.

vmc (vmclark) wrote :

This bug reported after I was booted up for 3-4 minutes. Almost every time now.

VGA compatible controller: Intel Corporation 82865G Integrated Graphics Controller (rev 02)
Intel P4 32-bit cpu, 2gig ram

current updates as of March 10th.

Adam Stark (adstark1982) wrote :

I've marked this as "Also affects...'apport'." I hope I've done this in the correct way as I'm kind of new to this.

Steve Langasek (vorlon) wrote :

it's not a bug in apport, it's a bug in the sysvinit script.

Changed in apport (Ubuntu Lucid):
status: New → Invalid
Changed in sysvinit (Ubuntu Lucid):
assignee: nobody → Martin Pitt (pitti)
Steve Langasek (vorlon) on 2010-03-12
affects: apport (Ubuntu Lucid) → plymouth (Ubuntu Lucid)
Martin Pitt (pitti) wrote :

Reopening Apport task for improving the data in the report. It should have the list of omitted pids passed with -o, and the running processes (ps aux).

I added some set -x and "ps aux" to /etc/init.d/sendsigs, and found out the following:

 * plymouthd --mode=shutdown is always running
 * no process adds itself to sendsigs.omit{,.d} lists, which seems intended and correct
 * All of the actual omitted pids are gained from initctl list and filtering out its pids.
   - This always contains "/etc/init.d/rc 6" and hwclock.
   - This sometimes contains the plymouthd --mode=shutdown process, and sometimes not. In the latter case the apport hook is fired, and plymouthd actually gets killed by sendsigs.

So as far as I can see, "initctl list" sometimes does not show the pid of plymouthd --shutdown. Is it supposed to? If so, then that would be the bug. If initctl list is not reliable, then we need to find another approach to filter out upstart jobs in sendsigs.

affects: plymouth (Ubuntu Lucid) → apport (Ubuntu Lucid)
Changed in apport (Ubuntu Lucid):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → Low
status: Invalid → In Progress
Martin Pitt (pitti) wrote :

Setting sysvinit task to incomplete until I conferred with Scott how upstart jobs should be filtered out.

Changed in sysvinit (Ubuntu Lucid):
status: Triaged → Incomplete
Martin Pitt (pitti) wrote :

I added a bug pattern for this, to avoid getting more duplicates.

Martin Pitt (pitti) wrote :

This is a sendsigs init script trace when things are working:

root 2167 36.0 0.8 18304 8152 ? S 11:14 0:00 /sbin/plymouthd --mode=shutdown
[...]
+ sed -n -e /process [0-9]/s/.*process //p
+ initctl list
+ OMITPIDS=-o 2156
+ OMITPIDS=-o 2156 -o 2132
+ OMITPIDS=-o 2156 -o 2132 -o 2167

Martin Pitt (pitti) wrote :

This sendsigs trace is for a failing case:

root 2953 8.8 0.8 18304 8152 ? S 11:01 0:00 /sbin/plymouthd --mode=shutdown
[...]
+ initctl list
+ sed -n -e /process [0-9]/s/.*process //p
+ OMITPIDS=-o 2924
+ OMITPIDS=-o 2924 -o 715

Manos Sarris (emmsarris) wrote :

I 'm not sure whether it 's plymouth or something else, yet my computer does not shutdown.
I've also tried sudo shutdown -P now and sudo shutdown -H now. -P reboots and -H crashes before shutting down showing the message "shutting down"

The improved apport hook is in trunk r1725.

summary: - does not terminate at computer shutdown
+ sendsigs sometimes kills upstart jobs
summary: - sendsigs sometimes kills upstart jobs
+ sendsigs sometimes kills upstart jobs instead of adding them to OMITPIDS
Changed in apport (Ubuntu Lucid):
status: In Progress → Fix Committed
affects: sysvinit (Ubuntu Lucid) → plymouth (Ubuntu Lucid)
Rahman Yusri Aftian (aftian) wrote :

Crash

simple crash

albertjchn (albertochm) on 2010-03-12
Changed in plymouth (Ubuntu Lucid):
status: Incomplete → Fix Released
status: Fix Released → New
Martin Pitt (pitti) on 2010-03-12
Changed in plymouth (Ubuntu Lucid):
status: New → Triaged
Launchpad Janitor (janitor) wrote :
Download full text (4.1 KiB)

This bug was fixed in the package plymouth - 0.8.0~-13

---------------
plymouth (0.8.0~-13) lucid; urgency=low

  [ Steve Langasek ]
  * Don't attach /proc/cmdline to apport reports, this is already in the
    standard info that gets collected...

  [ Alberto Milone ]
  * ubuntu_logo theme:
    - New logo from Otto Greenslade.
    - Switch off dots starting from the ones on the left instead of
      switching them off all at once.

  [ Scott James Remnant ]
  * Move the Ubuntu logo up as discussed with Otto, this makes the mouse
    cursor appear between the logo and dots and solves the optical illusion
    of the logo being too low. LP: #535014.
  * Don't include message about disk checks, which can come from mountall.
  * Drop the rc script splash functions, we don't want the SysV-rc compat
    stuff messing around with the splash screen - this can be entirely
    managed by Upstart now. LP: #528787, #537262.

  * Plymouth Fix Mega Patch:
    - This hasn't yet been broken up into enough bits to send upstream, and
      doesn't *quite* address all the issues yet, but it's a major step.

    - Rewrite the VT handling, rather than abusing /dev/tty0 keep all VT
      operations on the actual VT (tty7), this avoids issues where we set
      the graphics mode of the wrong VT or put the wrong VT into VT_PROCESS
      mode. LP: #520460, #522598, #526321, #533135
    - Don't attempt VT switch when using non-VT consoles.
    - Make VT mandatory for renderer plugins, so we fallback gracefully to
      text when the console is not a VT. LP: #516825, #527083.
    - Restore VT when finished displaying the splash unless plymouth quit
      is called with --retain-splash. LP: #506297.
    - Activate VT from text and details plugins, rather than haphardly in
      the main code, this means the textual boot is also on VT7.
      LP: #518352, #520122.
    - Add a --has-active-vt command that can let gdm inquire whether it
      should reuse Plymouth's VT; fixes the issue where Plymouth has no
      visible splash screen and X ends up on VT1. LP: #519641, #533572.

    - Don't open terminal device in X11, fixes the issue where X will crash
      when debugging plugins using the X11 renderer.
    - Add --tty option to plymouthd for debugging when X is running and
      thus using an alternate VT.

    - Improve deactivate command so that the terminal is no longer watched
      for keyboard input, session is closed, etc. LP: #528787, #531650.
    - Ignore mode changes while deactivated, otherwise we can end up
      resetting the VT back into text mode while X is starting up.
      LP: #523788, #502509.

    - Fix races with simultaneous quit and deactivate commands, or multiples
      of those commands.
    - Ignore --show-splash, --hide-splash, etc. commands while deactivated.
    - Add reactivate command for testing purposes.

    - Don't scan out drm buffer contents to fbcon when not called with
      quit --retain-splash. LP: #527180.

    - Avoid resetting the terminal to unbuffered mode on every write, this
      results in setting X's VT into raw mode and results in the X server
      crashing on key presses. LP: #532047, #534861, #519460, #520...

Read more...

Changed in plymouth (Ubuntu Lucid):
status: Triaged → Fix Released
William Shand (williamshand14) wrote :

Still getting this after upgrading to 0.8.0~-14

Noel J. Bergman (noeljb) wrote :

I just got this, myself, having done a complete upgrade of Lucid, including the new plymouth packages.

CyberDoc (seahawk-2kse) wrote :

everytime i start my computer and when it is on desktop i get this rapport of an crash too, my ubuntu 10.04 is updated

Eyad Salah (eyad-salah) wrote :

No offense but if a fix was released, then how come I've just gotten this error again?

Steve Langasek (vorlon) wrote :

I confess that when reading the changelog entry for this change, I couldn't figure out how it would have fixed the observed problem anyway. Reopening the bug report.

Changed in plymouth (Ubuntu Lucid):
status: Fix Released → Triaged
assignee: Martin Pitt (pitti) → Scott James Remnant (scott)
mabawsa (mabawsa) wrote :

Looking at the bug fix report doesn't the new logo seem a bit weird as well. Its like courier font with full stops to show the progress.

Changed in apport (Ubuntu Lucid):
assignee: Martin Pitt (pitti) → raphael (raphael-jacomelle)
Steve Langasek (vorlon) on 2010-03-13
Changed in apport (Ubuntu Lucid):
assignee: raphael (raphael-jacomelle) → Martin Pitt (pitti)

I assumed that this error was being caused by plymouth being run in /etc/init.d/rc rather than Upstart, thus not in the excluded list of pids. After making that change, I wasn't able to replicate it.

Martin: would it be possible to add "initctl list" output to the apport bug contents - that way we don't need to ask for that

zine92 (ggneverdie92) wrote :

I had this error when i try to start amsn, amsn cannot open and crash occurs.

Amber Graner (akgraner) wrote :

I got this icon that looks like the old notify-osd icon only it was black with a white/gray exclamation point in the center of it. When I held the mouse over it, it said, "crash report detected" so I clicked on it. It ran apport then said the crash had already been reported and brought this this bug report up.

This report showed up after I did an "sudo apt-get up update" and a "sudo apt-get dist-upgrade". I then rebooted my machine, and it was only after I started the "chat" and "Broadcast" did I notice that the icon was there.

I am not sure I even understand what this bug is about, but I hope this information helps somehow? I am running Lucid and I run those 2 commands I listed above a couple times a day and I am using a Dell XPS 1330.

Thanks! :-)

summary: - sendsigs sometimes kills upstart jobs instead of adding them to OMITPIDS
+ plymouth pid missing from OMITPIDS and terminated by sendsigs
Changed in plymouth (Ubuntu Lucid):
status: Triaged → Confirmed
Changed in apport (Ubuntu Lucid):
status: Fix Committed → Triaged

apport trunk r1726 adds "initctl list" to the report data.

Changed in apport (Ubuntu Lucid):
status: Triaged → Fix Committed
Changed in apport (Ubuntu Lucid):
status: Fix Committed → Confirmed
Martin Pitt (pitti) on 2010-03-13
Changed in apport (Ubuntu Lucid):
status: Confirmed → Fix Committed
EmyrB (emyr) wrote :

This just happened to me on a VM of Lucid and also on a 64bit install of Lucid on a Mac Mini.

On the Mac Mini the crash notifier popped up when I opened up a terminal and did a sudo apt-get update and on the VM it popped up shortly after logging in.

Changed in apport (Ubuntu Lucid):
status: Fix Committed → Fix Released
DrLance (drlance) wrote :

DONT WORK!!!!

Steve Langasek (vorlon) on 2010-03-13
Changed in apport (Ubuntu Lucid):
status: Fix Released → Fix Committed
Changed in apport (Ubuntu Lucid):
status: Fix Committed → Fix Released
status: Fix Released → Fix Committed
Alexey Maximov (amax) wrote :

status update:
tnow did
aptitude update && aptuitude full-upgrade

did 3 reboots in row,and make some tests after.

every time I rebooting after I get final message Could not write bytes (broken pipe) and laptop rebooting.
sometime after reboot I'm staying at textmode console 1 but gdm loaded and functioning on vt7, simple alt+f7 works.

thats strange, isnt it ?

Changed in apport (Ubuntu Lucid):
status: Fix Committed → Incomplete
Steve Langasek (vorlon) on 2010-03-14
Changed in apport (Ubuntu Lucid):
status: Incomplete → Fix Committed
latyak (laszsz) on 2010-03-14
visibility: public → private
Omer Akram (om26er) on 2010-03-14
visibility: private → public
Changed in apport (Ubuntu Lucid):
status: Fix Committed → Fix Released
Changed in plymouth (Ubuntu Lucid):
status: Confirmed → Incomplete
yoman82 (yoman821) on 2010-03-15
Changed in plymouth (Ubuntu Lucid):
status: Incomplete → Confirmed
status: Confirmed → Incomplete
Steve Langasek (vorlon) on 2010-03-15
Changed in plymouth (Ubuntu Lucid):
status: Incomplete → Confirmed
Steve Langasek (vorlon) on 2010-03-16
Changed in plymouth:
status: New → Invalid
tags: added: iso-testing
Steve Langasek (vorlon) on 2010-03-17
Changed in plymouth (Ubuntu Lucid):
milestone: ubuntu-10.04-beta-1 → ubuntu-10.04-beta-2
primariumm (marijan) on 2010-03-17
Changed in plymouth (Ubuntu Lucid):
status: Confirmed → Fix Committed
status: Fix Committed → Confirmed
Steve Langasek (vorlon) on 2010-03-18
description: updated
ced84 (ced-dnicolas) on 2010-03-18
Changed in apport (Ubuntu Lucid):
status: Fix Released → Fix Committed
Steve Langasek (vorlon) on 2010-03-18
Changed in apport (Ubuntu Lucid):
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2010-03-18
summary: - plymouth pid missing from OMITPIDS and terminated by sendsigs
+ plymouth pid missing from OMITPIDS and terminated by sendsigs - PLEASE
+ NO MORE CONFIRMATIONS/COMMENTS
57 comments hidden view all 137 comments
harrykar (harrykar) wrote :

I have this plymouthd crash report when on purpose of test i run "Hardware drivers" utility

harrykar (harrykar) wrote :

I' m on a 10.4 LTS AMD64 daily build in VirtualBox i run on purpose Hardware Drivers utility to test and i get plymouth's crash report

svaens (svaens) wrote :

yep, i'm up-to-date as of the 19th of March AEST (18th of March for the rest of you on the slow end of the world ;) )
and I still get this plymouthd crash report every time I boot to desktop.

MaskedDriver (maskeddriver) wrote :

Listen, people. The devs know there is a problem. It is set for High Priority, and is due to be fixed by Beta2. Please stop "yep me tooing" on here please. They'll fix it. Stay calm. Take a deep breath, and just wait. No more comments.

Kenneth S. (klsmith259) wrote :

After the update today 0.8.0~-17 I am still getting the crash report.

Michael (michaeljt) wrote :

I know it would be somewhat radical, but perhaps a Launchpad policy allowing deletion of comments under certain circumstances would be in order? In this and some other bugs, the large number of "me too" comments make it very difficult for someone trying to extract useful information by reading through the comments. See for example http://www.virtualbox.org/wiki/Bugtracker - quote: "Abusive, offensive and aggressive comments will be deleted, *as will off-topic comments if they make it hard to follow the issue under discussion in a bug ticket.*" Yes, I know it is a fine line to walk, but I am sure that the majority will appreciate the issue, and let you know clearly if they think you are moving too far off it.

u-foka (ufooka) wrote :

Hy!

I made a blueprint for launchpad based on Michael's idea.
https://blueprints.launchpad.net/launchpad/+spec/comment-rating

Sorry for being off-topic!

man - you have to understand - they report to developers after each
Plymouth upgrade because developers need feedback - also there is an
automated crash report tool.
if developers don't need this information again then they can update
crash reporting tool to be insensitive to this err. message.

Is simple -> Developers don't need advocates for what they know better.

2010/3/19 MaskedDriver <email address hidden>:
> Listen, people. The devs know there is a problem. It is set for High
> Priority, and is due to be fixed by Beta2. Please stop "yep me tooing"
> on here please. They'll fix it. Stay calm. Take a deep breath, and just
> wait. No more comments.
>
> --
> plymouth pid missing from OMITPIDS and terminated by sendsigs - PLEASE NO MORE CONFIRMATIONS/COMMENTS
> https://bugs.launchpad.net/bugs/537262
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Nemes Ioan Sorin

[OFFTOPIC]
> Martin Pitt:
> ** Summary changed:
> - plymouth pid missing from OMITPIDS and terminated by sendsigs
> + plymouth pid missing from OMITPIDS and terminated by sendsigs - PLEASE NO MORE CONFIRMATIONS/COMMENTS

What's this? As I can understand, it's meaning THAT NO MORE COMMENTS AT ALL. Am I wrong?
[/OFFTOPIC]

On Fri, Mar 19, 2010 at 09:56:29AM -0000, Nemes Ioan Sorin wrote:
> man - you have to understand - they report to developers after each
> Plymouth upgrade because developers need feedback

No, this is not feedback that we need. That's why the developers have
updated the title of this bug asking that people stop giving us feedback on
it.

> - also there is an automated crash report tool.

Yes, the bug is *that a crash is being reported when it shouldn't be*.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

lecoto (ag-advonet) on 2010-03-19
Changed in apport (Ubuntu Lucid):
status: Fix Released → Fix Committed
status: Fix Committed → Fix Released
albertjchn (albertochm) on 2010-03-19
Changed in plymouth (Ubuntu Lucid):
status: Confirmed → Fix Released
Martin Pitt (pitti) on 2010-03-19
Changed in plymouth (Ubuntu Lucid):
status: Fix Released → Confirmed
shibrawy (shibrawy) wrote :

the same problem with me

Today is my notebook installed ubuntu 10:04 Beta 1 with 64 bits, also update with complete and restarted. Started ubuntu normally.
When I turn on the wireless icon then appears with the star mark (apport) (it is near the clock).
This is normal?
Thanks

Changed in plymouth (Ubuntu Lucid):
assignee: Scott James Remnant (scott) → Zachary Parker (zparker31)
Steve Langasek (vorlon) on 2010-03-20
Changed in plymouth (Ubuntu Lucid):
assignee: Zachary Parker (zparker31) → Scott James Remnant (scott)
Screatch (screatch) wrote :

Affects me too, this bug appeared after updates been installed and a PC was restarted.

Casey J Peter (caseyjp1) wrote :

The 3-19 request asks for no more comments, yet on 3-20 post "fixes", this issue is still occurring.
Reboot following updates as of this time stamp on an amd64 nvidia system still shows broken pipes when shutting down and on the reboot as well as this "fixed" aport crasher. Just fyi.

bobbyjean58 (bobbyjean58) wrote :

Still receiving plymouthd crash on reboot with update 17. Here's a partial syslog snippet
*
Mar 20 22:26:08 lucid-test NetworkManager: <info> (eth1): supplicant interface state: starting -> ready
Mar 20 22:26:09 lucid-test init: plymouth main process (340) killed by USR2 signal
Mar 20 22:26:09 lucid-test acpid: client connected from 999[0:0]
Mar 20 22:26:09 lucid-test acpid: 1 client rule loaded
Mar 20 22:26:11 lucid-test anacron[1057]: Anacron 2.3 started on 2010-03-20
Mar 20 22:26:11 lucid-test anacron[1057]: Normal exit (0 jobs run)
Mar 20 22:26:11 lucid-test init: plymouth-stop pre-start process (1084) terminated with status 1
Mar 20 22:26:11 lucid-test gdm-session-worker[1087]: GLib-GObject-CRITICAL: g_value_get_boolean: assertion `G_VALUE_HOLDS_BOOLEAN (value)' failed
Mar 20 22:26:16 lucid-test kernel: [ 25.880047] eth1: no IPv6 routers present
Mar 20 22:26:17 lucid-test polkitd[1165]: started daemon version 0.96 using authority implementation `local' version `0.96'

ice.polar (ice-polar) wrote :

Hi, there
Apport brought me here. Got this bug today after a reboot....

ice.polar (ice-polar) wrote :

Hi, there
Apport came up again after download the newest fixes and reboot.
Lucid 32-bit on a Dell Optiplex dual PentiumD with 3GB Ram.
There seems nothing fixed...

freedomrun (freedomrun) wrote :

open or close I am not shure but maybe it is related on KMS on wich it is supposed to work ... becouse KMS isnt working quite well on my laptop... there are strange interfirances seen on my screen ... some white lines are going up and down on my screen ... so "Bug Description" maybe you dont know everything

Kevin John Panzke (kevpan815) wrote :

GUYS, IN ORDER 2 FIX THE PROBLEM: YOU NEED 2 INSTALL BETA 1 AS A CLEAN INSTALL! UPGRADING FROM A3 WILL NOT FIX YOUR PROBLEMS WITH IT!

I installed Beta1 and got the bug again.

Russel Winder (russel) wrote :

Kevin,

So you are saying there is no upgrade path from Lucid alpha 3 to a set up that works? Is the same true for people on Karminc, that there is no upgrade path to a working system?

Kevin John Panzke (kevpan815) wrote :

RUSS: WHAT I AM SAYING IS THAT THE BUG IS FIXED WHEN YOU DO A CLEAN INSTALL OF BETA 1! I VERIFYED THIS ON 2 DIFFERENT PC'S!

Russel Winder (russel) wrote :

Kevin,

That is great for people installing afresh, but this still leaves the question of how to correct the problem for people who are upgrading.

Omer Akram (om26er) wrote :

No, this also exists on clean install of beta1. and please read the bug description again. It says no more comments.

Brian Rogers (brian-rogers) wrote :

This bug is still open. That means the problem still exists, and we just need to wait for it to get fixed. People who upgrade will be covered by the fix, which is expected to be available before the release of beta 2 in a few weeks.

apostolojr (apostolojr) wrote :

Assus EEEPC 1201HA

Steve Langasek (vorlon) wrote :

On Sun, Mar 21, 2010 at 02:46:17PM -0000, Kevin John Panzke wrote:
> GUYS, IN ORDER 2 FIX THE PROBLEM: YOU NEED 2 INSTALL BETA 1 AS A CLEAN
> INSTALL! UPGRADING FROM A3 WILL NOT FIX YOUR PROBLEMS WITH IT!

No. This bug is still outstanding.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Benjamin Drung (bdrung) wrote :

@Kevin John Panzke: Please write in lower case. Comments in all caps are considered as shouting, which is against our Code of Conduct.

djchandler (djchandler) wrote :

Just crashed in Beta 1, installed cleanly just yesterday and all updates applied. I had just installed GRUB 1 so I could use grub-choose-default on a dual boot system (apparently it doesn't work with GRUB 2). Anyway, this occurred trying to run "gksu grub-choose-default" and just after entering my password to change the default OS on boot.

djchandler (djchandler) wrote :

Sorry, didn't see the "NO MORE COMMENTS." But since apport sends you here by default, isn't it a bit unrealistic to shout in the heading like that?

This is understandably frustrating from the maintainers point of view. It is equally disconcerting to get this kind of reception when this is the first time seeing this bug/page. Can't the reporting page be closed? If it can't one would assume that's because someone posting here may still be able to offer an additional insight.

Let's all take a deep breath and calm ourselves.

PresuntoRJ (fabio-tleitao) wrote :

Sorry to disappoint, but I have just finished installing a clean installation of the 9.10 and the "do-release-upgrade -d" also fails

I mean, it works, but I keep getting the bug report to send via apport

Benjamin Drung (bdrung) on 2010-03-21
summary: - plymouth pid missing from OMITPIDS and terminated by sendsigs - PLEASE
- NO MORE CONFIRMATIONS/COMMENTS
+ plymouth pid missing from OMITPIDS and terminated by sendsigs - Please
+ no more confirmations/comments
w (walteransorg) on 2010-03-22
Changed in apport (Ubuntu Lucid):
status: Fix Released → Fix Committed
Martin Pitt (pitti) on 2010-03-22
Changed in apport (Ubuntu Lucid):
status: Fix Committed → Fix Released
Alex (alsampognaro) on 2010-03-22
Changed in plymouth:
status: Invalid → Incomplete
Changed in plymouth:
status: Incomplete → Invalid
svaens (svaens) wrote :

yeah, I get the same bug report popping up still. Can't release this to the commons with it popping up crash reports. Sorry.
If anyone needs/wants anymore information, please ask, and instruct!

NoOp (glgxg) wrote :
Download full text (3.6 KiB)

Not sure what fixed it, but after todays updates I no longer get the crash notification. Note: it had crashed just prior to the updates. Following updates I shut down, restarted, and no further crashes or reports in /var/crash Latest updates today:
Commit Log for Mon Mar 22 16:15:38 2010

Upgraded the following packages:
bsdutils (1:2.17-0ubuntu3) to 1:2.17.2-0ubuntu1
cpp-4.4 (4.4.3-3ubuntu3) to 4.4.3-4ubuntu2
e2fslibs (1.41.10-1ubuntu3) to 1.41.11-1ubuntu1
e2fsprogs (1.41.10-1ubuntu3) to 1.41.11-1ubuntu1
evolution (2.28.3-0ubuntu6) to 2.28.3-0ubuntu7
evolution-common (2.28.3-0ubuntu6) to 2.28.3-0ubuntu7
evolution-plugins (2.28.3-0ubuntu6) to 2.28.3-0ubuntu7
fglrx-modaliases (2:8.660-0ubuntu6) to 2:8.721-0ubuntu5
gcc-4.4 (4.4.3-3ubuntu3) to 4.4.3-4ubuntu2
gcc-4.4-base (4.4.3-3ubuntu3) to 4.4.3-4ubuntu2
gdb (7.0.90.20100311-0ubuntu1) to 7.1-1ubuntu1
gnome-keyring (2.29.92-0ubuntu1) to 2.92.92git20100322-0ubuntu1
gtk2-engines-pixbuf (2.19.7-0ubuntu1) to 2.19.7-0ubuntu2
icedtea-6-jre-cacao (6b18~pre2-1ubuntu1) to 6b18~pre3-0ubuntu1
initscripts (2.87dsf-4ubuntu15) to 2.87dsf-4ubuntu16
lib32gcc1 (1:4.4.3-3ubuntu3) to 1:4.4.3-4ubuntu2
lib32stdc++6 (4.4.3-3ubuntu3) to 4.4.3-4ubuntu2
libblkid1 (2.17-0ubuntu3) to 2.17.2-0ubuntu1
libc-bin (2.11.1-0ubuntu4) to 2.11.1-0ubuntu5
libc-dev-bin (2.11.1-0ubuntu4) to 2.11.1-0ubuntu5
libc6 (2.11.1-0ubuntu4) to 2.11.1-0ubuntu5
libc6-dev (2.11.1-0ubuntu4) to 2.11.1-0ubuntu5
libc6-i386 (2.11.1-0ubuntu4) to 2.11.1-0ubuntu5
libcomerr2 (1.41.10-1ubuntu3) to 1.41.11-1ubuntu1
libgail-common (2.19.7-0ubuntu1) to 2.19.7-0ubuntu2
libgail18 (2.19.7-0ubuntu1) to 2.19.7-0ubuntu2
libgcc1 (1:4.4.3-3ubuntu3) to 1:4.4.3-4ubuntu2
libgcr0 (2.29.92-0ubuntu1) to 2.92.92git20100322-0ubuntu1
libgnome-keyring0 (2.29.4git20100224-0ubuntu2) to 2.29.4git20100322-0ubuntu1
libgomp1 (4.4.3-3ubuntu3) to 4.4.3-4ubuntu2
libgp11-0 (2.29.92-0ubuntu1) to 2.92.92git20100322-0ubuntu1
libgtk2.0-0 (2.19.7-0ubuntu1) to 2.19.7-0ubuntu2
libgtk2.0-bin (2.19.7-0ubuntu1) to 2.19.7-0ubuntu2
libgtk2.0-common (2.19.7-0ubuntu1) to 2.19.7-0ubuntu2
libpam-gnome-keyring (2.29.92-0ubuntu1) to 2.92.92git20100322-0ubuntu1
libpam-smbpass (2:3.4.6~dfsg-1ubuntu3) to 2:3.4.7~dfsg-1ubuntu1
libsmbclient (2:3.4.6~dfsg-1ubuntu3) to 2:3.4.7~dfsg-1ubuntu1
libss2 (1.41.10-1ubuntu3) to 1.41.11-1ubuntu1
libstdc++6 (4.4.3-3ubuntu3) to 4.4.3-4ubuntu2
libuuid1 (2.17-0ubuntu3) to 2.17.2-0ubuntu1
libwbclient0 (2:3.4.6~dfsg-1ubuntu3) to 2:3.4.7~dfsg-1ubuntu1
linux-libc-dev (2.6.32-16.25) to 2.6.32-17.26
mount (2.17-0ubuntu3) to 2.17.2-0ubuntu1
openjdk-6-jre (6b18~pre2-1ubuntu1) to 6b18~pre3-0ubuntu1
openjdk-6-jre-headless (6b18~pre2-1ubuntu1) to 6b18~pre3-0ubuntu1
openjdk-6-jre-lib (6b18~pre2-1ubuntu1) to 6b18~pre3-0ubuntu1
python-papyon (0.4.5-1ubuntu1) to 0.4.5-1ubuntu3
samba (2:3.4.6~dfsg-1ubuntu3) to 2:3.4.7~dfsg-1ubuntu1
samba-common (2:3.4.6~dfsg-1ubuntu3) to 2:3.4.7~dfsg-1ubuntu1
samba-common-bin (2:3.4.6~dfsg-1ubuntu3) to 2:3.4.7~dfsg-1ubuntu1
smbclient (2:3.4.6~dfsg-1ubuntu3) to 2:3.4.7~dfsg-1ubuntu1
sysv-rc (2.87dsf-4ubuntu15) to 2.87dsf-4ubuntu16
sysvinit-utils (2.87dsf-4ubuntu15) to 2.87dsf-4ubuntu16
totem (2.29.92-0ubuntu2) to 2.29.92-0ubuntu3
totem-common (2.29.92-0ubuntu...

Read more...

Changed in plymouth:
assignee: nobody → Martin Pitt (pitti)
Changed in apport (Ubuntu Lucid):
status: Fix Released → Fix Committed
status: Fix Committed → Fix Released

how can this be fixed

bobbyjean58 (bobbyjean58) wrote :

When is the fix going to be released? I'm still running plymouth 0.8.0~-17 here. I just updated. Oddly enough, on my Desktop, directly connected to the internet via an ethernet cable, with an Ati video card, I don't have this problem. I only have it with my Lenovo G530 with a Broadcom bcm4312 rev 09 wireless card and an Intel on-board graphics card.

Later...

Steve Langasek (vorlon) wrote :

On Wed, Mar 24, 2010 at 09:56:00PM -0000, bobbyjean58 wrote:
> When is the fix going to be released?

After we've figured out what's causing it - which we haven't yet.

bobbyjean58 (bobbyjean58) wrote :

I don't know exact why but plymouthd has stopped crashing on me. No crash reports in /var/crash...nothing. And this is with multiple reboots, too. I'm sure it has nothing to do with it but the only thing I did differently after the first crash, following an update and reboot, is I reinstalled compiz (I normally uninstall it). Or, maybe they fixed that "don't notify me again when plymouthd crashes" thing. Who knows? But it's nice. :).

Later...

Ekke (ekke1994-gmail) on 2010-03-26
Changed in apport (Ubuntu Lucid):
status: Fix Released → Fix Committed
status: Fix Committed → Fix Released
visibility: public → private
Steve Langasek (vorlon) on 2010-03-27
visibility: private → public
Amos (amosbraun) on 2010-03-28
Changed in apport (Ubuntu Lucid):
status: Fix Released → In Progress
status: In Progress → Fix Committed
Steve Langasek (vorlon) on 2010-03-28
Changed in apport (Ubuntu Lucid):
status: Fix Committed → Fix Released
Steve Langasek (vorlon) on 2010-03-30
affects: plymouth (Ubuntu Lucid) → sysvinit (Ubuntu Lucid)
Changed in sysvinit (Ubuntu Lucid):
assignee: Scott James Remnant (scott) → Steve Langasek (vorlon)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sysvinit - 2.87dsf-4ubuntu17

---------------
sysvinit (2.87dsf-4ubuntu17) lucid; urgency=low

  * debian/initscripts/etc/init.d/sendsigs: additional upstart jobs may be
    /started/ on shutdown after this script has first been invoked; so don't
    assume the list of known jobs is constant, instead requery initctl before
    each killall5 -CONT to properly exclude any new jobs upstart knows about
    so that we aren't waiting an extra 10 seconds for no reason.
    LP: #537262.
 -- Steve Langasek <email address hidden> Tue, 30 Mar 2010 00:08:33 -0700

Changed in sysvinit (Ubuntu Lucid):
status: Confirmed → Fix Released
CW (cwgerig-gmail) wrote :

I can't provide much information other than to express my extreme frustration with the nVidia drivers and/or inability to retain screen resolutions in karmic and lucid beta 1. Six weeks ago this was not a problem. Now it is a problem.

Recently I have been able to manually set the resolution to higher than 1024/768 but the system will not retain the setting after reboot. I am using onboard video, 6150SE nForce 430, ram 512MB, GPU 425 MHZ (rev a2), obviously not the greatest, but then it should work as before. From what I can see lurking through the forums is that it has something to do with an update that changed the kernel that fails to retain or load the preferred setting.

It did work. Now it doesn't work. Any tips would be greatly appreciated!

security vulnerability: no → yes
visibility: public → private
Martin Pitt (pitti) on 2010-04-06
security vulnerability: yes → no
visibility: private → public
wesa-76 (wesa88) on 2010-04-07
Changed in sysvinit (Ubuntu Lucid):
status: Fix Released → Fix Committed
Omer Akram (om26er) on 2010-04-07
Changed in sysvinit (Ubuntu Lucid):
status: Fix Committed → Fix Released

> ** Changed in: sysvinit (Ubuntu Lucid)
> Status: Fix ** => Fix **

Could you please stop messing around...?

GXxtreme (mmorpg-guild) on 2010-04-12
Changed in sysvinit (Ubuntu Lucid):
status: Fix Released → Fix Committed
Steve Langasek (vorlon) on 2010-04-12
Changed in sysvinit (Ubuntu Lucid):
status: Fix Committed → Fix Released
trinhve (trinhve) on 2010-05-28
Changed in sysvinit (Ubuntu):
status: Fix Released → Fix Committed
Omer Akram (om26er) on 2010-05-28
Changed in sysvinit (Ubuntu):
status: Fix Committed → Fix Released
wesa-76 (wesa88) on 2010-05-31
Changed in sysvinit (Ubuntu Lucid):
status: Fix Released → Fix Committed
Steve Langasek (vorlon) on 2010-06-01
Changed in sysvinit (Ubuntu Lucid):
status: Fix Committed → Fix Released
Displaying first 40 and last 40 comments. View all 137 comments or add a comment.